<?php
if(isset($_REQUEST['check'])) {$check= $_REQUEST['check'];} ;
if(isset($_REQUEST['ref'])) {$ref= $_REQUEST['ref'];} ;
require("twilio-php-master/Twilio/autoload.php");

use Twilio\Rest\Client;
require("lib/config.php");



    	$sql = "SELECT * FROM `booking` where id = '".$ref."'";
	$result = $conn->query($sql);
	
	if ($result->num_rows > 0) {
	while($row_details = $result->fetch_assoc()) {
		$booking_detail[] = $row_details;
		$spatula_link = $row_details['spatula_link'];
		$quote = $row_details['quote'];
		$date = $row_details['booking_date'];
		$time = $row_details['booking_time'];
		$time = date("g:i A", strtotime($time));
		$datetime = "$date $time";
	}
	$sql = "SELECT * FROM `customers` where id = '".$booking_detail[0]['cid']."'";
	$result = $conn->query($sql);
	if ($result->num_rows > 0) 
	{
		while($row_detail = $result->fetch_assoc()) 
		{
			$booking_details[] = $row_detail;
		}
		
	}
	$firebase_token = $booking_details[0]['firebase_token'];
	$phone = $booking_details[0]['mobile'];
	}
if($check=="check" && !empty($ref)) {
if($booking_detail[0]['status'] == "") {
	
echo "no";
} else {
echo $booking_detail[0]['status'];
}
}
if($check=="send" && !empty($ref)) {
$sql = "UPDATE booking SET status='confirmed' WHERE id='".$ref."'";
$result = $conn->query($sql);	
	$headers = array
			(
				'Authorization: key=AAAAqi4vwgY:APA91bF2FTZV_AmYn6tI3rUZtQEejPY7F3E6LZcKuw20s1R3xWZr7AcnHQTOiGBFKMyaOAUJBeGlqxvpc8HYnWClwpw-AWwwKZOa0bsNJp9kW5JYVrF8g_LlnRJU0zNpt_Pc-DUv0uYH',
				'Content-Type: application/json'
			);
	
	$curlObj = curl_init();
	curl_setopt($curlObj, CURLOPT_URL, 'https://fcm.googleapis.com/fcm/send');
	curl_setopt($curlObj, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($curlObj, CURLOPT_SSL_VERIFYPEER, 0);
	curl_setopt($curlObj, CURLOPT_HEADER, 0);
	curl_setopt($curlObj, CURLOPT_HTTPHEADER, $headers);
	curl_setopt($curlObj, CURLOPT_POST, 1);
	curl_setopt($curlObj, CURLOPT_POSTFIELDS, '{ 	"notification": {
    								"title": "Booking has been confirmed",
    								"body": "Your booking is confirmed, you will be notified when a driver is assigned",
    								"sound": "mySound"
  							},
  							"to" : "'.$firebase_token.'"
  							"data": {
  								"status": "confirmed",
  								"spatula_link": "'.$spatula_link.'",
  								"bid": "'.$ref.'",
  								"quote": "'.$quote.'"
  								}
							}');

	$response = curl_exec($curlObj);
	error_log($response);

	curl_close($curlObj);
	
	$result = json_decode($response, true);
	
	if($result['failure'] == 1) {
	
	
	$account_sid = 'AC1b4db66d86197058950ad349a2327a85'; 
	$auth_token = '053ae80d10eac3b60c92179d3492badf'; 
	$client = new Client($account_sid, $auth_token); 
 
	$messages = $client->messages->create("$phone", array('From' => "FamilyCab", 'body' => 'Your booking for '.$datetime.' is confirmed, you will be notified when your driver is en route'));
	
	
	error_log($messages->sid);
	if($messages) {
	echo "yes";
	} else {
	echo "no";
	}
	} else {
	echo "yes";
	}
}